DoxygenConfig

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.doxygen.tools
Class DoxygenConfig

    java.lang.Object
      org.doxygen.tools.DoxygenConfig

public class DoxygenConfig
extends java.lang.Object

This class holds the Configuration properties of Doxygen.

Since:
  Ant-Doxygen 1.3.1
Version:
  $Revision: 1.1.2.2 $

Constructor Summary
`DoxygenConfig()`

Method Summary
`void` | `addNestedAttribute(DoxygenTask.Property attr)` Add Nested Attribute to the already existing list.
`void` | `cascadeDoxygenConfig(java.util.TreeMap map)` This method cascades all Ant task attribute and nest attribute values into the passed TreeMap instance.
`DoxygenTask.Property` | `getAttribute(java.lang.String keyName)` This method returns the attributes for jUnit test analysis.
`java.util.List` | `getNestedAttributes()` This method returns the list of nested attributes for jUnit test analysis.
`java.util.TreeMap` | `getTaskAttributes()` This method returns the task attributes for jUnit test analysis.
`java.util.TreeMap` | `readDoxygenConfig(java.lang.String theConfigFilename)` This method reads the Doxygen generated configuration file.
`void` | `setProperty(java.lang.String keyName, boolean value)` This method translates an Ant <doxygen> task element into a Doxygen configuration file property name/value pair.
`void` | `setProperty(java.lang.String keyName, int value)` This method translates an Ant <doxygen> task element into a Doxygen configuration file property name/value pair.
`void` | `setProperty(java.lang.String keyName, java.lang.String value)` This method translates an Ant <doxygen> task element into a Doxygen configuration file property name/value pair.
`void` | `writeDoxygenConfig(java.lang.String theConfigFilename)` This method writes and synchronizes the properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoxygenConfig

    public DoxygenConfig()

Method Detail

### setProperty

    public final void setProperty(java.lang.String keyName,
                                  java.lang.String value)

  This method translates an Ant <doxygen> task element into a Doxygen configuration file property name/value pair.
  \test String properties containing spaces are double quoted.

  Parameters:
    `keyName` - for this property.
    `value` - for this property.

### setProperty

    public final void setProperty(java.lang.String keyName,
                                  int value)

  This method translates an Ant <doxygen> task element into a Doxygen configuration file property name/value pair.

  Parameters:
    `keyName` - for this property.
    `value` - for this property.

### setProperty

    public final void setProperty(java.lang.String keyName,
                                  boolean value)

  This method translates an Ant <doxygen> task element into a Doxygen configuration file property name/value pair.
  \test true / false values become "YES" / "NO" values.

  Parameters:
    `keyName` - for this property.
    `value` - for this property.

### getTaskAttributes

    public final java.util.TreeMap getTaskAttributes()

  This method returns the task attributes for jUnit test analysis.
  \note this method is for jUnit testing.

  Returns:
    a `TreeMap` containing all <doxygen> tag attributes set by this Ant task.

### getNestedAttributes

    public final java.util.List getNestedAttributes()

  This method returns the list of nested attributes for jUnit test analysis.
  \note this method is for jUnit testing.

  Returns:
    a `List` containing all nested attributes set by this Ant task.

### getAttribute

    public final DoxygenTask.Property getAttribute(java.lang.String keyName)

  This method returns the attributes for jUnit test analysis.

  Parameters:
    `keyName` - to be retreived.
  Returns:
    a `Property` containing as much of the specified attribute as is currently set.

### addNestedAttribute

    public void addNestedAttribute(DoxygenTask.Property attr)

  Add Nested Attribute to the already existing list.

### writeDoxygenConfig

    public final void writeDoxygenConfig(java.lang.String theConfigFilename)

  This method writes and synchronizes the properties.
  \test If specified, the base configuration file is not overwritten.

  Parameters:
    `theConfigFilename` - used by Doxygen.

### readDoxygenConfig

    public final java.util.TreeMap readDoxygenConfig(java.lang.String theConfigFilename)

  This method reads the Doxygen generated configuration file.
  \note Due to the use of java.util.Properties, all comments in the base configuration file are dropped in the almagamated configuration file. This is acceptable, since the base configuration file is not overwritten and the almagamated file is alphabetized.
  \bug ID=xxxxxx: In controlling Doxygen config file generation verbosity, that output now appears in the config file input stream.
  \bug ID=xxxxxx: Related to input stream mangling. PROJECT_NUMBER is loaded at ROJECT_NUMBER, which Doxygen complains about. Small fixup to reflect it back to the proper parameter name.

  Parameters:
    `theConfigFilename` - generated by Doxygen -g.
  Returns:
    a `TreeMap` containing all of the Doxygen parameters to be used in the amalgamated configuration file.

### cascadeDoxygenConfig

    public final void cascadeDoxygenConfig(java.util.TreeMap map)

  This method cascades all Ant task attribute and nest attribute values into the passed TreeMap instance. This TreeMap instance is supposed to have been populated from the generated or user-specified Doxygen configuraton file.
  \test the minimalist case has open-source / Java flavor Doxygen parameters set.
  \test <doxygen> elements can influence Doxygen.
  \test <doxygen> nested elements can influence Doxygen.
  \test <doxygen> nested elements take precedence over <doxygen> non-nested elements.
  \todo Add the Doxygen parameter version checking.

  Parameters:
    `map` - contains all of the Doxygen configuration file basis.

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Ant-Doxygen JavaDocs